Debian Bug report logs - #623492
plasma-desktop segfaults, prevents all (?) other kde apps from loading

version graph

Packages: kdebase-workspace-bin, kde-window-manager; Maintainer for kdebase-workspace-bin is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for kdebase-workspace-bin is src:kde-workspace. Maintainer for kde-window-manager is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for kde-window-manager is src:kde-workspace.

Reported by: Rémy Sanchez <debian-bugs@hyperthese.net>

Date: Wed, 20 Apr 2011 17:57:11 UTC

Severity: critical

Tags: sid

Merged with 623517, 623676, 623678, 623699, 623739

Found in version kdebase-workspace/4:4.4.5-8

Fixed in version kdebase-workspace/4:4.4.5-9

Done: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#623492; Package plasma-desktop. (Wed, 20 Apr 2011 17:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémy Sanchez <debian-bugs@hyperthese.net>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 20 Apr 2011 17:57:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rémy Sanchez <debian-bugs@hyperthese.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: plasma-desktop segfaults, prevents all (?) other kde apps from loading
Date: Wed, 20 Apr 2011 17:03:47 +0200
Package: plasma-desktop
Version: 4:4.4.5-8
Severity: grave
Justification: renders package unusable


When starting KDE, at the time when the last icon from the splash screen
shows up, plasma-desktop segfaults, and 2 prompt show up :

	* The KDE bug thing that tells me that plasma desktop crashed
	* A "window" telling me that kwin is unstable, and asking me for
	  another window manager

>From this point, if I re-enter "kwin" in the box, it keeps on crashing,
and if I change it to "openbox", nothings shows up. After that, I get a
new bug window for krunner something like every second. However, yakuake
seems to be working anyway (but nothing else shows up).

At first, I was able to start KDE when choosing "KDE/Openbox" from the
KDM menu. And when KDE was started, I could just "kwin --replace" and
everything was fine (excepted ALT+TAB that was not doing anything). Now,
plasma-desktop crashes anyways.

I tried from a blank account, and got the same problems.

I could get some traces :

	Application: Plasma Workspace (plasma-desktop), signal: Segmentation fault
	[KCrash Handler]
	#5  Private (this=0x7fff035357c0, p=...) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:360
	#6  QVariant::QVariant (this=0x7fff035357c0, p=...) at kernel/qvariant.cpp:1419
	#7  0x00007f1e0b732bc7 in QDBusPendingReplyData::argumentAt (this=0x7fff03535c40, index=0) at qdbuspendingreply.cpp:270
	#8  0x00007f1e0d102105 in argumentAt<0> (this=0x0) at /usr/include/qt4/QtDBus/qdbuspendingreply.h:174
	#9  QDBusPendingReply<bool, void, void, void, void, void, void, void>::operator bool (this=0x0) at /usr/include/qt4/QtDBus/qdbuspendingreply.h:184
	#10 0x00007f1e0d0ffe11 in Kephal::DBusOutputs::DBusOutputs (this=0x19b9960, parent=<value optimized out>) at ../../../../libs/kephal/outputs/dbus/dbusoutputs.cpp:69
	#11 0x00007f1e0d0f2ba3 in libkephal_factory () at ../../../../libs/kephal/libkephal/libkephal.cpp:51
	#12 0x00007f1e0d0f332d in Kephal::Screens::self () at ../../../../libs/kephal/kephal/screens.cpp:38
	#13 0x00007f1e0d0f3393 in Kephal::ScreenUtils::numScreens () at ../../../../libs/kephal/kephal/screens.cpp:92
	#14 0x00007f1e0eee2756 in PlasmaApp::PlasmaApp (this=0x18f5a10) at ../../../../plasma/desktop/shell/plasmaapp.cpp:166
	#15 0x00007f1e0eee2a25 in PlasmaApp::self () at ../../../../plasma/desktop/shell/plasmaapp.cpp:93
	#16 0x00007f1e0eeceeb9 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at ../../../../plasma/desktop/shell/main.cpp:109
	#17 0x00007f1e0eb4fc4d in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff035362e8) at libc-start.c:228
	#18 0x00000000004006b9 in _start ()

I have got entries in dmesg as well :

	[ 2522.178502] plasma-desktop[6110]: segfault at 0 ip 00007f4881dbeff6 sp 00007fffcdc36d50 error 4 in libQtCore.so.4.7.2[7f4881c2c000+29c000]
	[ 2795.442039] krunner[9011]: segfault at 0 ip 00007fe8b8e22ff6 sp 00007fffe15bb6c0 error 4 in libQtCore.so.4.7.2[7fe8b8c90000+29c000]

This bug has appeared after a reboot, and I could not link it with any
update. I'll share my recent apt history just in case :

	Start-Date: 2011-04-18  01:58:03
	Install: libcrypto++9:amd64 (5.6.1-2, automatic), kvirc:amd64 (4.1.1~svn5639-1+b1), kvirc-data:amd64 (4.1.1~svn5639-1, automatic)
	End-Date: 2011-04-18  01:59:12

	Start-Date: 2011-04-18  14:25:15
	Install: python-pysnmp4-mibs:amd64 (0.0.5a-3, automatic), python-pysnmp4:amd64 (4.1.9a-2), python-pysnmp4-apps:amd64 (0.2.6a-1, automatic), python-pysnmp-common:amd64 (4.1.9a-2, automatic), libsmi2-common:amd64 (0.4.8+dfsg2-3, automatic), python-crypto:amd64 (2.1.0-2+b2, automatic), python-pyasn1:amd64 (0.0.11a-1, automatic)
	End-Date: 2011-04-18  14:26:19

	Start-Date: 2011-04-19  00:04:50
	Upgrade: python-apt:amd64 (0.7.100.3, 0.7.100.3+b1)
	End-Date: 2011-04-19  00:05:45

	Start-Date: 2011-04-19  02:58:15
	Upgrade: libreoffice-style-galaxy:amd64 (3.3.2-2, 3.3.2-3), libreoffice-draw:amd64 (3.3.2-2+b1, 3.3.2-3), libva-x11-1:amd64 (1.0.12-1, 1.0.12-2), libgphoto2-l10n:amd64 (2.4.10.1-5, 2.4.11-2), python-gobject-cairo:amd64 (2.28.3-2, 2.28.3-2+b1), libcupsppdc1:amd64 (1.4.6-4, 1.4.6-5), libv4l-0:amd64 (0.8.3-1, 0.8.3-2), libdb4.7-java:amd64 (4.7.25-13, 4.7.25-14), python-twisted-bin:amd64 (10.2.0-1, 10.2.0-1.1), libunistring0:amd64 (0.9.3-3, 0.9.3-4), libcupsimage2:amd64 (1.4.6-4, 1.4.6-5), libgphoto2-port0:amd64 (2.4.10.1-5, 2.4.11-2), gcj-4.4-base:amd64 (4.4.6-1, 4.4.6-2), libcupscgi1:amd64 (1.4.6-4, 1.4.6-5), libreoffice-impress:amd64 (3.3.2-2+b1, 3.3.2-3), libcupsdriver1:amd64 (1.4.6-4, 1.4.6-5), libdb4.7-java-gcj:amd64 (4.7.25-13, 4.7.25-14), python-reportlab:amd64 (2.4-4, 2.5-1.1), g++-4.5:amd64 (4.5.2-9, 4.5.2-10), libimobiledevice1:amd64 (1.0.6-1, 1.0.6-2), audacity:amd64 (1.3.13-1, 1.3.13-2), libportsmf0:amd64 (0.1~svn20101010-1, 0.1~svn20101010-3), cups-client:amd64 (1.
 4.6-4, 1.4.6-5), gcc-4.4-base:amd64 (4.4.6-1, 4.4.6-2), libstdc++6-4.5-dev:amd64 (4.5.2-9, 4.5.2-10), ttf-opensymbol:amd64 (2.4.3+LibO3.3.2-2, 2.4.3+LibO3.3.2-3), gcj-4.4-jre-lib:amd64 (4.4.6-1, 4.4.6-2), python-twisted-web:amd64 (10.2.0-1, 10.2.0-1.1), libreoffice-report-builder-bin:amd64 (3.3.2-2+b1, 3.3.2-3), python-renderpm:amd64 (2.4-4, 2.5-1.1), gcc-4.4:amd64 (4.4.6-1, 4.4.6-2), gcc-4.5:amd64 (4.5.2-9, 4.5.2-10), libgcj10:amd64 (4.4.6-1, 4.4.6-2), libdatetime-timezone-perl:amd64 (1.32-1+2011e, 1.33-1+2011f), cups-ppdc:amd64 (1.4.6-4, 1.4.6-5), libreoffice-math:amd64 (3.3.2-2+b1, 3.3.2-3), ttf-lyx:amd64 (2.0.0~rc3-1, 2.0.0~rc3-2), libreoffice-common:amd64 (3.3.2-2, 3.3.2-3), lib32asound2:amd64 (1.0.23-2.1, 1.0.23-3), acpid:amd64 (2.0.8-4, 2.0.9-1), cups-common:amd64 (1.4.6-4, 1.4.6-5), uno-libs3:amd64 (1.7.0+LibO3.3.2-2+b1, 1.7.0+LibO3.3.2-3), libhtml-scrubber-perl:amd64 (0.08-4, 0.09-1), libcups2:amd64 (1.4.6-4, 1.4.6-5), jarwrapper:amd64 (0.32, 0.33), python-uno:amd64
  (3.3.2-2+b1, 3.3.2-3), alsa-utils:amd64 (1.0.23-3, 1.0.23-4), lyx-common:amd64 (2.0.0~rc3-1, 2.0.0~rc3-2), audacity-data:amd64 (1.3.13-1, 1.3.13-2), cups:amd64 (1.4.6-4, 1.4.6-5), lyx:amd64 (2.0.0~rc3-1, 2.0.0~rc3-2), libasound2:amd64 (1.0.23-2.1, 1.0.23-3), python-twisted-core:amd64 (10.2.0-1, 10.2.0-1.1), libdv4:amd64 (1.0.0-2.1, 1.0.0-3), wpasupplicant:amd64 (0.7.3-2, 0.7.3-3), ure:amd64 (1.7.0+LibO3.3.2-2+b1, 1.7.0+LibO3.3.2-3), libreoffice-base-core:amd64 (3.3.2-2+b1, 3.3.2-3), libregexp-common-perl:amd64 (2010010201-1, 2011041701-1), python-twisted-names:amd64 (10.2.0-1, 10.2.0-1.1), libreoffice-base:amd64 (3.3.2-2+b1, 3.3.2-3), gcc-4.5-base:amd64 (4.5.2-9, 4.5.2-10), alsa-base:amd64 (1.0.23+dfsg-2, 1.0.23+dfsg-3), libreoffice:amd64 (3.3.2-2+b1, 3.3.2-3), libreoffice-calc:amd64 (3.3.2-2+b1, 3.3.2-3), libdb4.7:amd64 (4.7.25-13, 4.7.25-14), cpp-4.4:amd64 (4.4.6-1, 4.4.6-2), cpp-4.5:amd64 (4.5.2-9, 4.5.2-10), libva1:amd64 (1.0.12-1, 1.0.12-2), libreoffice-emailmerge:amd6
 4 (3.3.2-2, 3.3.2-3), libreoffice-java-common:amd64 (3.3.2-2, 3.3.2-3), libreoffice-filter-mobiledev:amd64 (3.3.2-2, 3.3.2-3), lib32v4l-0:amd64 (0.8.3-1, 0.8.3-2), libcupsmime1:amd64 (1.4.6-4, 1.4.6-5), libreoffice-filter-binfilter:amd64 (3.3.2-2+b1, 3.3.2-3), linux-sound-base:amd64 (1.0.23+dfsg-2, 1.0.23+dfsg-3), libreoffice-core:amd64 (3.3.2-2+b1, 3.3.2-3), libreoffice-writer:amd64 (3.3.2-2+b1, 3.3.2-3), libgphoto2-2:amd64 (2.4.10.1-5, 2.4.11-2), python-reportlab-accel:amd64 (2.4-4, 2.5-1.1)
	Remove: lsof:amd64 (4.81.dfsg.1-1)
	End-Date: 2011-04-19  03:02:06

	Start-Date: 2011-04-19  13:31:27
	Upgrade: python-twisted-bin:amd64 (10.2.0-1.1, 11.0.0-1), python-twisted-web:amd64 (10.2.0-1.1, 11.0.0-1), xserver-xorg-video-intel:amd64 (2.14.902-1, 2.15.0-1), libffi5:amd64 (3.0.9-3, 3.0.9-4), libservlet2.5-java:amd64 (6.0.32-2, 6.0.32-3), python-twisted-core:amd64 (10.2.0-1.1, 11.0.0-1), libapache2-mod-perl2:amd64 (2.0.4-7, 2.0.5-1), liborc-0.4-0:amd64 (0.4.12-1, 0.4.13-1), python-twisted-names:amd64 (10.2.0-1.1, 11.0.0-1), python-pkg-resources:amd64 (0.6.15-1, 0.6.15-2)
	End-Date: 2011-04-19  13:32:39

	Start-Date: 2011-04-19  13:34:59
	Remove: libbrlapi0.5:amd64 (4.2-7), libcrush1:amd64 (0.25.2-1), qemu-keymaps:amd64 (0.14.0+dfsg-5), libaio1:amd64 (0.3.109-1), libcrypto++8:amd64 (5.6.0-6), seabios:amd64 (0.6.1.2-2), librados1:amd64 (0.24.3-2), libxenstore3.0:amd64 (4.1.0-2), etherboot-qemu:amd64 (5.4.4-9), ebtables:amd64 (2.0.9.2-2), libvirt0:amd64 (0.9.0-1), qemu-kvm:amd64 (0.14.0+dfsg-1~tls), qemu-utils:amd64 (0.14.0+dfsg-5), bridge-utils:amd64 (1.4-5), libvdeplug2:amd64 (2.2.3-3+b1)
	Purge: libvirt-bin:amd64 (0.9.0-1)
	End-Date: 2011-04-19  13:35:14

	Start-Date: 2011-04-19  13:35:33
	Purge: libsbsms1:amd64 (), libbrlapi0.5:amd64 (), libcrush1:amd64 (), libqtsensors1:amd64 (), libaio1:amd64 (), libcrypto++8:amd64 (), libboost-signals1.42.0:amd64 (), libccid:amd64 (), librados1:amd64 (), libsdl1.2debian-alsa:amd64 (), libxenstore3.0:amd64 (), libindicate4:amd64 (), ebtables:amd64 (), libpango1.0-common:amd64 (), libvirt0:amd64 (), libgp11-0:amd64 (), libgcr0:amd64 (), qemu-kvm:amd64 (), libdbusmenu-glib1:amd64 (), libegl1-mesa:amd64 (), libxcb-xfixes0:amd64 (), librpcsecgss3:amd64 (), pcscd:amd64 (), libmlt3:amd64 (), libvdeplug2:amd64 (), libgd2-noxpm:amd64 ()
	End-Date: 2011-04-19  13:35:42

	Start-Date: 2011-04-20  10:45:36
	Upgrade: python-gobject-cairo:amd64 (2.28.3-2+b1, 2.28.3-3), libdb4.7-java:amd64 (4.7.25-14, 4.7.25-15), libgudev-1.0-0:amd64 (167-2, 167-3), libwireshark0:amd64 (1.4.5-1, 1.4.6-1), libdb4.7-java-gcj:amd64 (4.7.25-14, 4.7.25-15), libdbus-1-3:amd64 (1.4.6-1, 1.4.8-2), libpython2.6:amd64 (2.6.6-8+b1, 2.6.6-9), wireshark-common:amd64 (1.4.5-1, 1.4.6-1), libwsutil0:amd64 (1.4.5-1, 1.4.6-1), python2.6:amd64 (2.6.6-8+b1, 2.6.6-9), python2.6-minimal:amd64 (2.6.6-8+b1, 2.6.6-9), dbus:amd64 (1.4.6-1, 1.4.8-2), python-tk:amd64 (2.7.1-1, 2.7.1-2), libwireshark-data:amd64 (1.4.5-1, 1.4.6-1), wireshark:amd64 (1.4.5-1, 1.4.6-1), libdb4.6:amd64 (4.6.21-18, 4.6.21-19), libdb4.7:amd64 (4.7.25-14, 4.7.25-15), libdb4.8:amd64 (4.8.30-5, 4.8.30-6), libdb5.1:amd64 (5.1.25-2, 5.1.25-3), dbus-x11:amd64 (1.4.6-1, 1.4.8-2), libwiretap0:amd64 (1.4.5-1, 1.4.6-1), binutils:amd64 (2.21.0.20110327-3, 2.21.51.20110419-2), python-mysqldb:amd64 (1.2.2-10+b2, 1.2.2-10+b3)
	End-Date: 2011-04-20  10:47:22

	Start-Date: 2011-04-20  13:16:43
	Upgrade: libstdc++6:amd64 (4.6.0-3, 4.6.0-4), gcc-4.6-base:amd64 (4.6.0-3, 4.6.0-4), libgomp1:amd64 (4.6.0-3, 4.6.0-4), lib32gcc1:amd64 (4.6.0-3, 4.6.0-4), libquadmath0:amd64 (4.6.0-3, 4.6.0-4), libgcc1:amd64 (4.6.0-3, 4.6.0-4), libgfortran3:amd64 (4.6.0-3, 4.6.0-4), lib32stdc++6:amd64 (4.6.0-3, 4.6.0-4)
	End-Date: 2011-04-20  13:17:39

	Start-Date: 2011-04-20  13:20:30
	End-Date: 2011-04-20  13:20:30

	Start-Date: 2011-04-20  13:29:28
	Install: lxsession:amd64 (0.4.4-3, automatic), rpm2cpio:amd64 (4.8.1-7, automatic), gvfs-fuse:amd64 (1.6.4-3, automatic), lxterminal:amd64 (0.1.8-2, automatic), gtk2-engines:amd64 (2.20.1-1, automatic), lxde:amd64 (0.5.0-4), lxmusic:amd64 (0.4.4+git20100802-2, automatic), lxde-icon-theme:amd64 (0.0.1+svn20091206-2, automatic), lxappearance:amd64 (0.4.0-1, automatic), libvte-common:amd64 (0.24.3-2, automatic), openbox-themes:amd64 (1.0.2, automatic), obconf:amd64 (2.0.3-3, automatic), librpmio1:amd64 (4.8.1-7, automatic), librpm1:amd64 (4.8.1-7, automatic), rpm-common:amd64 (4.8.1-7, automatic), leafpad:amd64 (0.8.17-5, automatic), lxde-common:amd64 (0.5.0-4, automatic), libobrender21:amd64 (3.4.11.1-1, automatic), lxrandr:amd64 (0.1.1-2, automatic), libobparser21:amd64 (3.4.11.1-1, automatic), pcmanfm:amd64 (0.9.8-1, automatic), libmenu-cache1:amd64 (0.3.2-2, automatic), lxde-core:amd64 (0.5.0-4, automatic), libelf1:amd64 (0.152-1, automatic), arj:amd64 (3.10.22-10, automati
 c), xmms2-plugin-id3v2:amd64 (0.7DrNo+dfsg-2+b1, automatic), lxsession-edit:amd64 (0.1.1-2, automatic), libfm-gtk0:amd64 (0.1.14-2, automatic), lxinput:amd64 (0.1.1-3, automatic), libvte9:amd64 (0.24.3-2, automatic), libgtop2-common:amd64 (2.28.1-1, automatic), openbox:amd64 (3.4.11.1-1, automatic), lxmenu-data:amd64 (0.1.1-1, automatic), xmms2-plugin-alsa:amd64 (0.7DrNo+dfsg-2+b1, automatic), libfm0:amd64 (0.1.14-2, automatic), rpm:amd64 (4.8.1-7, automatic), librpmbuild1:amd64 (4.8.1-7, automatic), libxmmsclient6:amd64 (0.7DrNo+dfsg-2+b1, automatic), libgtop2-7:amd64 (2.28.1-1, automatic), xmms2-core:amd64 (0.7DrNo+dfsg-2+b1, automatic), gpicview:amd64 (0.2.1-1+b1, automatic), xli:amd64 (1.17.0+20061110-3+b1, automatic), gksu:amd64 (2.0.2-5, automatic), xmms2-plugin-vorbis:amd64 (0.7DrNo+dfsg-2+b1, automatic), libxmmsclient-glib1:amd64 (0.7DrNo+dfsg-2+b1, automatic), lxshortcut:amd64 (0.1.1-1, automatic), libgksu2-0:amd64 (2.0.13~pre1-4, automatic), lxpanel:amd64 (0.5.6-1,
  automatic), xmms2-plugin-mad:amd64 (0.7DrNo+dfsg-2+b1, automatic), miscfiles:amd64 (1.4.2.dfsg.1-9, automatic), xscreensaver:amd64 (5.11-1+b1, automatic), xarchiver:amd64 (0.5.2+20090319+dfsg-4, automatic)
	End-Date: 2011-04-20  13:32:18

Regards,
Remy

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages plasma-desktop depends on:
ii  kdebase-runtime               4:4.4.5-1  runtime components from the offici
ii  libc6                         2.11.2-13  Embedded GNU C Library: Shared lib
ii  libkdecore5                   4:4.4.5-4  the KDE Platform Core Library
ii  libkdeui5                     4:4.4.5-4  the KDE Platform User Interface Li
ii  libkephal4                    4:4.4.5-8  API for easier handling of multihe
ii  libkfile4                     4:4.4.5-4  the File Selection Dialog Library 
ii  libkio5                       4:4.4.5-4  the Network-enabled File Managemen
ii  libktexteditor4               4:4.4.5-4  the KTextEditor interfaces for the
ii  libkutils4                    4:4.4.5-4  various utility classes for the KD
ii  libkworkspace4                4:4.4.5-8  library for the kdebase workspace
ii  libplasma3                    4:4.4.5-4  the Plasma Library for the KDE Pla
ii  libplasmagenericshell4        4:4.4.5-8  shared elements for all the plasma
ii  libqt4-dbus                   4:4.7.2-3  Qt 4 D-Bus module
ii  libqt4-script                 4:4.7.2-3  Qt 4 script module
ii  libqt4-xml                    4:4.7.2-3  Qt 4 XML module
ii  libqtcore4                    4:4.7.2-3  Qt 4 core module
ii  libqtgui4                     4:4.7.2-3  Qt 4 GUI module
ii  libsolid4                     4:4.4.5-4  Solid Library for KDE Platform
ii  libsolidcontrol4              4:4.4.5-8  library for Solid based network ma
ii  libstdc++6                    4.6.0-4    The GNU Standard C++ Library v3
ii  libtaskmanager4a              4:4.4.5-8  library which provides task manage
ii  libx11-6                      2:1.4.3-1  X11 client-side library
ii  libxext6                      2:1.2.0-2  X11 miscellaneous extension librar
ii  plasma-widgets-workspace      4:4.4.5-8  plasma widgets and containments fo

Versions of packages plasma-desktop recommends:
ii  kdebase-workspace             4:4.4.5-8  KDE Plasma Workspace components

plasma-desktop suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#623492; Package plasma-desktop. (Wed, 20 Apr 2011 19:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 20 Apr 2011 19:30:02 GMT) Full text and rfc822 format available.

Message #10 received at 623492@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: Rémy Sanchez <debian-bugs@hyperthese.net>, 623492@bugs.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Subject: Re: Fwd: plasma-desktop segfaults, prevents all (?) other kde apps from loading
Date: Wed, 20 Apr 2011 15:27:28 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

reassign 623492 dbus
severity 623492 critical
# Justification: breaks unrelated software
affects 623492 plasma-desktop
thanks

Hi, I was affected by the same problem, reverting dbus
(dbus-x11 and libdbus-1-3 too in the process) to 1.4.6-1
solves this issue.

Regards

David

> Sujet:
> plasma-desktop segfaults, prevents all (?) other kde apps from loading
> De :
> Rémy Sanchez <debian-bugs@hyperthese.net>
> Date :
> Wed, 20 Apr 2011 17:03:47 +0200
> 
> Pour :
> Debian Bug Tracking System <submit@bugs.debian.org>
> 
> 
> Package: plasma-desktop
> Version: 4:4.4.5-8
> Severity: grave
> Justification: renders package unusable
> 
> 
> When starting KDE, at the time when the last icon from the splash screen
> shows up, plasma-desktop segfaults, and 2 prompt show up :
> 
> 	* The KDE bug thing that tells me that plasma desktop crashed
> 	* A "window" telling me that kwin is unstable, and asking me for
> 	  another window manager
> 
>> >>From this point, if I re-enter "kwin" in the box, it keeps on crashing,
> and if I change it to "openbox", nothings shows up. After that, I get a
> new bug window for krunner something like every second. However, yakuake
> seems to be working anyway (but nothing else shows up).
> 
> At first, I was able to start KDE when choosing "KDE/Openbox" from the
> KDM menu. And when KDE was started, I could just "kwin --replace" and
> everything was fine (excepted ALT+TAB that was not doing anything). Now,
> plasma-desktop crashes anyways.
> 
> I tried from a blank account, and got the same problems.
> 
> I could get some traces :
> 
> 	Application: Plasma Workspace (plasma-desktop), signal: Segmentation fault
> 	[KCrash Handler]
> 	#5  Private (this=0x7fff035357c0, p=...) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:360
> 	#6  QVariant::QVariant (this=0x7fff035357c0, p=...) at kernel/qvariant.cpp:1419
> 	#7  0x00007f1e0b732bc7 in QDBusPendingReplyData::argumentAt (this=0x7fff03535c40, index=0) at qdbuspendingreply.cpp:270
> 	#8  0x00007f1e0d102105 in argumentAt<0> (this=0x0) at /usr/include/qt4/QtDBus/qdbuspendingreply.h:174
> 	#9  QDBusPendingReply<bool, void, void, void, void, void, void, void>::operator bool (this=0x0) at /usr/include/qt4/QtDBus/qdbuspendingreply.h:184
> 	#10 0x00007f1e0d0ffe11 in Kephal::DBusOutputs::DBusOutputs (this=0x19b9960, parent=<value optimized out>) at ../../../../libs/kephal/outputs/dbus/dbusoutputs.cpp:69
> 	#11 0x00007f1e0d0f2ba3 in libkephal_factory () at ../../../../libs/kephal/libkephal/libkephal.cpp:51
> 	#12 0x00007f1e0d0f332d in Kephal::Screens::self () at ../../../../libs/kephal/kephal/screens.cpp:38
> 	#13 0x00007f1e0d0f3393 in Kephal::ScreenUtils::numScreens () at ../../../../libs/kephal/kephal/screens.cpp:92
> 	#14 0x00007f1e0eee2756 in PlasmaApp::PlasmaApp (this=0x18f5a10) at ../../../../plasma/desktop/shell/plasmaapp.cpp:166
> 	#15 0x00007f1e0eee2a25 in PlasmaApp::self () at ../../../../plasma/desktop/shell/plasmaapp.cpp:93
> 	#16 0x00007f1e0eeceeb9 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at ../../../../plasma/desktop/shell/main.cpp:109
> 	#17 0x00007f1e0eb4fc4d in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff035362e8) at libc-start.c:228
> 	#18 0x00000000004006b9 in _start ()
> 
> I have got entries in dmesg as well :
> 
> 	[ 2522.178502] plasma-desktop[6110]: segfault at 0 ip 00007f4881dbeff6 sp 00007fffcdc36d50 error 4 in libQtCore.so.4.7.2[7f4881c2c000+29c000]
> 	[ 2795.442039] krunner[9011]: segfault at 0 ip 00007fe8b8e22ff6 sp 00007fffe15bb6c0 error 4 in libQtCore.so.4.7.2[7fe8b8c90000+29c000]
> 
> This bug has appeared after a reboot, and I could not link it with any
> update. I'll share my recent apt history just in case :
> 
> 	Start-Date: 2011-04-18  01:58:03
> 	Install: libcrypto++9:amd64 (5.6.1-2, automatic), kvirc:amd64 (4.1.1~svn5639-1+b1), kvirc-data:amd64 (4.1.1~svn5639-1, automatic)
> 	End-Date: 2011-04-18  01:59:12
> 
> 	Start-Date: 2011-04-18  14:25:15
> 	Install: python-pysnmp4-mibs:amd64 (0.0.5a-3, automatic), python-pysnmp4:amd64 (4.1.9a-2), python-pysnmp4-apps:amd64 (0.2.6a-1, automatic), python-pysnmp-common:amd64 (4.1.9a-2, automatic), libsmi2-common:amd64 (0.4.8+dfsg2-3, automatic), python-crypto:amd64 (2.1.0-2+b2, automatic), python-pyasn1:amd64 (0.0.11a-1, automatic)
> 	End-Date: 2011-04-18  14:26:19
> 
> 	Start-Date: 2011-04-19  00:04:50
> 	Upgrade: python-apt:amd64 (0.7.100.3, 0.7.100.3+b1)
> 	End-Date: 2011-04-19  00:05:45
> 
> 	Start-Date: 2011-04-19  02:58:15
> 	Upgrade: libreoffice-style-galaxy:amd64 (3.3.2-2, 3.3.2-3), libreoffice-draw:amd64 (3.3.2-2+b1, 3.3.2-3), libva-x11-1:amd64 (1.0.12-1, 1.0.12-2), libgphoto2-l10n:amd64 (2.4.10.1-5, 2.4.11-2), python-gobject-cairo:amd64 (2.28.3-2, 2.28.3-2+b1), libcupsppdc1:amd64 (1.4.6-4, 1.4.6-5), libv4l-0:amd64 (0.8.3-1, 0.8.3-2), libdb4.7-java:amd64 (4.7.25-13, 4.7.25-14), python-twisted-bin:amd64 (10.2.0-1, 10.2.0-1.1), libunistring0:amd64 (0.9.3-3, 0.9.3-4), libcupsimage2:amd64 (1.4.6-4, 1.4.6-5), libgphoto2-port0:amd64 (2.4.10.1-5, 2.4.11-2), gcj-4.4-base:amd64 (4.4.6-1, 4.4.6-2), libcupscgi1:amd64 (1.4.6-4, 1.4.6-5), libreoffice-impress:amd64 (3.3.2-2+b1, 3.3.2-3), libcupsdriver1:amd64 (1.4.6-4, 1.4.6-5), libdb4.7-java-gcj:amd64 (4.7.25-13, 4.7.25-14), python-reportlab:amd64 (2.4-4, 2.5-1.1), g++-4.5:amd64 (4.5.2-9, 4.5.2-10), libimobiledevice1:amd64 (1.0.6-1, 1.0.6-2), audacity:amd64 (1.3.13-1, 1.3.13-2), libportsmf0:amd64 (0.1~svn20101010-1, 0.1~svn20101010-3), cups-client:amd64 (
1.
>  4.6-4, 1.4.6-5), gcc-4.4-base:amd64 (4.4.6-1, 4.4.6-2), libstdc++6-4.5-dev:amd64 (4.5.2-9, 4.5.2-10), ttf-opensymbol:amd64 (2.4.3+LibO3.3.2-2, 2.4.3+LibO3.3.2-3), gcj-4.4-jre-lib:amd64 (4.4.6-1, 4.4.6-2), python-twisted-web:amd64 (10.2.0-1, 10.2.0-1.1), libreoffice-report-builder-bin:amd64 (3.3.2-2+b1, 3.3.2-3), python-renderpm:amd64 (2.4-4, 2.5-1.1), gcc-4.4:amd64 (4.4.6-1, 4.4.6-2), gcc-4.5:amd64 (4.5.2-9, 4.5.2-10), libgcj10:amd64 (4.4.6-1, 4.4.6-2), libdatetime-timezone-perl:amd64 (1.32-1+2011e, 1.33-1+2011f), cups-ppdc:amd64 (1.4.6-4, 1.4.6-5), libreoffice-math:amd64 (3.3.2-2+b1, 3.3.2-3), ttf-lyx:amd64 (2.0.0~rc3-1, 2.0.0~rc3-2), libreoffice-common:amd64 (3.3.2-2, 3.3.2-3), lib32asound2:amd64 (1.0.23-2.1, 1.0.23-3), acpid:amd64 (2.0.8-4, 2.0.9-1), cups-common:amd64 (1.4.6-4, 1.4.6-5), uno-libs3:amd64 (1.7.0+LibO3.3.2-2+b1, 1.7.0+LibO3.3.2-3), libhtml-scrubber-perl:amd64 (0.08-4, 0.09-1), libcups2:amd64 (1.4.6-4, 1.4.6-5), jarwrapper:amd64 (0.32, 0.33), python-uno:amd
64
>   (3.3.2-2+b1, 3.3.2-3), alsa-utils:amd64 (1.0.23-3, 1.0.23-4), lyx-common:amd64 (2.0.0~rc3-1, 2.0.0~rc3-2), audacity-data:amd64 (1.3.13-1, 1.3.13-2), cups:amd64 (1.4.6-4, 1.4.6-5), lyx:amd64 (2.0.0~rc3-1, 2.0.0~rc3-2), libasound2:amd64 (1.0.23-2.1, 1.0.23-3), python-twisted-core:amd64 (10.2.0-1, 10.2.0-1.1), libdv4:amd64 (1.0.0-2.1, 1.0.0-3), wpasupplicant:amd64 (0.7.3-2, 0.7.3-3), ure:amd64 (1.7.0+LibO3.3.2-2+b1, 1.7.0+LibO3.3.2-3), libreoffice-base-core:amd64 (3.3.2-2+b1, 3.3.2-3), libregexp-common-perl:amd64 (2010010201-1, 2011041701-1), python-twisted-names:amd64 (10.2.0-1, 10.2.0-1.1), libreoffice-base:amd64 (3.3.2-2+b1, 3.3.2-3), gcc-4.5-base:amd64 (4.5.2-9, 4.5.2-10), alsa-base:amd64 (1.0.23+dfsg-2, 1.0.23+dfsg-3), libreoffice:amd64 (3.3.2-2+b1, 3.3.2-3), libreoffice-calc:amd64 (3.3.2-2+b1, 3.3.2-3), libdb4.7:amd64 (4.7.25-13, 4.7.25-14), cpp-4.4:amd64 (4.4.6-1, 4.4.6-2), cpp-4.5:amd64 (4.5.2-9, 4.5.2-10), libva1:amd64 (1.0.12-1, 1.0.12-2), libreoffice-emailmerge:am
d6
>  4 (3.3.2-2, 3.3.2-3), libreoffice-java-common:amd64 (3.3.2-2, 3.3.2-3), libreoffice-filter-mobiledev:amd64 (3.3.2-2, 3.3.2-3), lib32v4l-0:amd64 (0.8.3-1, 0.8.3-2), libcupsmime1:amd64 (1.4.6-4, 1.4.6-5), libreoffice-filter-binfilter:amd64 (3.3.2-2+b1, 3.3.2-3), linux-sound-base:amd64 (1.0.23+dfsg-2, 1.0.23+dfsg-3), libreoffice-core:amd64 (3.3.2-2+b1, 3.3.2-3), libreoffice-writer:amd64 (3.3.2-2+b1, 3.3.2-3), libgphoto2-2:amd64 (2.4.10.1-5, 2.4.11-2), python-reportlab-accel:amd64 (2.4-4, 2.5-1.1)
> 	Remove: lsof:amd64 (4.81.dfsg.1-1)
> 	End-Date: 2011-04-19  03:02:06
> 
> 	Start-Date: 2011-04-19  13:31:27
> 	Upgrade: python-twisted-bin:amd64 (10.2.0-1.1, 11.0.0-1), python-twisted-web:amd64 (10.2.0-1.1, 11.0.0-1), xserver-xorg-video-intel:amd64 (2.14.902-1, 2.15.0-1), libffi5:amd64 (3.0.9-3, 3.0.9-4), libservlet2.5-java:amd64 (6.0.32-2, 6.0.32-3), python-twisted-core:amd64 (10.2.0-1.1, 11.0.0-1), libapache2-mod-perl2:amd64 (2.0.4-7, 2.0.5-1), liborc-0.4-0:amd64 (0.4.12-1, 0.4.13-1), python-twisted-names:amd64 (10.2.0-1.1, 11.0.0-1), python-pkg-resources:amd64 (0.6.15-1, 0.6.15-2)
> 	End-Date: 2011-04-19  13:32:39
> 
> 	Start-Date: 2011-04-19  13:34:59
> 	Remove: libbrlapi0.5:amd64 (4.2-7), libcrush1:amd64 (0.25.2-1), qemu-keymaps:amd64 (0.14.0+dfsg-5), libaio1:amd64 (0.3.109-1), libcrypto++8:amd64 (5.6.0-6), seabios:amd64 (0.6.1.2-2), librados1:amd64 (0.24.3-2), libxenstore3.0:amd64 (4.1.0-2), etherboot-qemu:amd64 (5.4.4-9), ebtables:amd64 (2.0.9.2-2), libvirt0:amd64 (0.9.0-1), qemu-kvm:amd64 (0.14.0+dfsg-1~tls), qemu-utils:amd64 (0.14.0+dfsg-5), bridge-utils:amd64 (1.4-5), libvdeplug2:amd64 (2.2.3-3+b1)
> 	Purge: libvirt-bin:amd64 (0.9.0-1)
> 	End-Date: 2011-04-19  13:35:14
> 
> 	Start-Date: 2011-04-19  13:35:33
> 	Purge: libsbsms1:amd64 (), libbrlapi0.5:amd64 (), libcrush1:amd64 (), libqtsensors1:amd64 (), libaio1:amd64 (), libcrypto++8:amd64 (), libboost-signals1.42.0:amd64 (), libccid:amd64 (), librados1:amd64 (), libsdl1.2debian-alsa:amd64 (), libxenstore3.0:amd64 (), libindicate4:amd64 (), ebtables:amd64 (), libpango1.0-common:amd64 (), libvirt0:amd64 (), libgp11-0:amd64 (), libgcr0:amd64 (), qemu-kvm:amd64 (), libdbusmenu-glib1:amd64 (), libegl1-mesa:amd64 (), libxcb-xfixes0:amd64 (), librpcsecgss3:amd64 (), pcscd:amd64 (), libmlt3:amd64 (), libvdeplug2:amd64 (), libgd2-noxpm:amd64 ()
> 	End-Date: 2011-04-19  13:35:42
> 
> 	Start-Date: 2011-04-20  10:45:36
> 	Upgrade: python-gobject-cairo:amd64 (2.28.3-2+b1, 2.28.3-3), libdb4.7-java:amd64 (4.7.25-14, 4.7.25-15), libgudev-1.0-0:amd64 (167-2, 167-3), libwireshark0:amd64 (1.4.5-1, 1.4.6-1), libdb4.7-java-gcj:amd64 (4.7.25-14, 4.7.25-15), libdbus-1-3:amd64 (1.4.6-1, 1.4.8-2), libpython2.6:amd64 (2.6.6-8+b1, 2.6.6-9), wireshark-common:amd64 (1.4.5-1, 1.4.6-1), libwsutil0:amd64 (1.4.5-1, 1.4.6-1), python2.6:amd64 (2.6.6-8+b1, 2.6.6-9), python2.6-minimal:amd64 (2.6.6-8+b1, 2.6.6-9), dbus:amd64 (1.4.6-1, 1.4.8-2), python-tk:amd64 (2.7.1-1, 2.7.1-2), libwireshark-data:amd64 (1.4.5-1, 1.4.6-1), wireshark:amd64 (1.4.5-1, 1.4.6-1), libdb4.6:amd64 (4.6.21-18, 4.6.21-19), libdb4.7:amd64 (4.7.25-14, 4.7.25-15), libdb4.8:amd64 (4.8.30-5, 4.8.30-6), libdb5.1:amd64 (5.1.25-2, 5.1.25-3), dbus-x11:amd64 (1.4.6-1, 1.4.8-2), libwiretap0:amd64 (1.4.5-1, 1.4.6-1), binutils:amd64 (2.21.0.20110327-3, 2.21.51.20110419-2), python-mysqldb:amd64 (1.2.2-10+b2, 1.2.2-10+b3)
> 	End-Date: 2011-04-20  10:47:22
> 
> 	Start-Date: 2011-04-20  13:16:43
> 	Upgrade: libstdc++6:amd64 (4.6.0-3, 4.6.0-4), gcc-4.6-base:amd64 (4.6.0-3, 4.6.0-4), libgomp1:amd64 (4.6.0-3, 4.6.0-4), lib32gcc1:amd64 (4.6.0-3, 4.6.0-4), libquadmath0:amd64 (4.6.0-3, 4.6.0-4), libgcc1:amd64 (4.6.0-3, 4.6.0-4), libgfortran3:amd64 (4.6.0-3, 4.6.0-4), lib32stdc++6:amd64 (4.6.0-3, 4.6.0-4)
> 	End-Date: 2011-04-20  13:17:39
> 
> 	Start-Date: 2011-04-20  13:20:30
> 	End-Date: 2011-04-20  13:20:30
> 
> 	Start-Date: 2011-04-20  13:29:28
> 	Install: lxsession:amd64 (0.4.4-3, automatic), rpm2cpio:amd64 (4.8.1-7, automatic), gvfs-fuse:amd64 (1.6.4-3, automatic), lxterminal:amd64 (0.1.8-2, automatic), gtk2-engines:amd64 (2.20.1-1, automatic), lxde:amd64 (0.5.0-4), lxmusic:amd64 (0.4.4+git20100802-2, automatic), lxde-icon-theme:amd64 (0.0.1+svn20091206-2, automatic), lxappearance:amd64 (0.4.0-1, automatic), libvte-common:amd64 (0.24.3-2, automatic), openbox-themes:amd64 (1.0.2, automatic), obconf:amd64 (2.0.3-3, automatic), librpmio1:amd64 (4.8.1-7, automatic), librpm1:amd64 (4.8.1-7, automatic), rpm-common:amd64 (4.8.1-7, automatic), leafpad:amd64 (0.8.17-5, automatic), lxde-common:amd64 (0.5.0-4, automatic), libobrender21:amd64 (3.4.11.1-1, automatic), lxrandr:amd64 (0.1.1-2, automatic), libobparser21:amd64 (3.4.11.1-1, automatic), pcmanfm:amd64 (0.9.8-1, automatic), libmenu-cache1:amd64 (0.3.2-2, automatic), lxde-core:amd64 (0.5.0-4, automatic), libelf1:amd64 (0.152-1, automatic), arj:amd64 (3.10.22-10, automa
ti
>  c), xmms2-plugin-id3v2:amd64 (0.7DrNo+dfsg-2+b1, automatic), lxsession-edit:amd64 (0.1.1-2, automatic), libfm-gtk0:amd64 (0.1.14-2, automatic), lxinput:amd64 (0.1.1-3, automatic), libvte9:amd64 (0.24.3-2, automatic), libgtop2-common:amd64 (2.28.1-1, automatic), openbox:amd64 (3.4.11.1-1, automatic), lxmenu-data:amd64 (0.1.1-1, automatic), xmms2-plugin-alsa:amd64 (0.7DrNo+dfsg-2+b1, automatic), libfm0:amd64 (0.1.14-2, automatic), rpm:amd64 (4.8.1-7, automatic), librpmbuild1:amd64 (4.8.1-7, automatic), libxmmsclient6:amd64 (0.7DrNo+dfsg-2+b1, automatic), libgtop2-7:amd64 (2.28.1-1, automatic), xmms2-core:amd64 (0.7DrNo+dfsg-2+b1, automatic), gpicview:amd64 (0.2.1-1+b1, automatic), xli:amd64 (1.17.0+20061110-3+b1, automatic), gksu:amd64 (2.0.2-5, automatic), xmms2-plugin-vorbis:amd64 (0.7DrNo+dfsg-2+b1, automatic), libxmmsclient-glib1:amd64 (0.7DrNo+dfsg-2+b1, automatic), lxshortcut:amd64 (0.1.1-1, automatic), libgksu2-0:amd64 (2.0.13~pre1-4, automatic), lxpanel:amd64 (0.5.6-
1,
>   automatic), xmms2-plugin-mad:amd64 (0.7DrNo+dfsg-2+b1, automatic), miscfiles:amd64 (1.4.2.dfsg.1-9, automatic), xscreensaver:amd64 (5.11-1+b1, automatic), xarchiver:amd64 (0.5.2+20090319+dfsg-4, automatic)
> 	End-Date: 2011-04-20  13:32:18
> 
> Regards,
> Remy
> 
> -- System Information:
> Debian Release: wheezy/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.38-2-amd64 (SMP w/2 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages plasma-desktop depends on:
> ii  kdebase-runtime               4:4.4.5-1  runtime components from the offici
> ii  libc6                         2.11.2-13  Embedded GNU C Library: Shared lib
> ii  libkdecore5                   4:4.4.5-4  the KDE Platform Core Library
> ii  libkdeui5                     4:4.4.5-4  the KDE Platform User Interface Li
> ii  libkephal4                    4:4.4.5-8  API for easier handling of multihe
> ii  libkfile4                     4:4.4.5-4  the File Selection Dialog Library 
> ii  libkio5                       4:4.4.5-4  the Network-enabled File Managemen
> ii  libktexteditor4               4:4.4.5-4  the KTextEditor interfaces for the
> ii  libkutils4                    4:4.4.5-4  various utility classes for the KD
> ii  libkworkspace4                4:4.4.5-8  library for the kdebase workspace
> ii  libplasma3                    4:4.4.5-4  the Plasma Library for the KDE Pla
> ii  libplasmagenericshell4        4:4.4.5-8  shared elements for all the plasma
> ii  libqt4-dbus                   4:4.7.2-3  Qt 4 D-Bus module
> ii  libqt4-script                 4:4.7.2-3  Qt 4 script module
> ii  libqt4-xml                    4:4.7.2-3  Qt 4 XML module
> ii  libqtcore4                    4:4.7.2-3  Qt 4 core module
> ii  libqtgui4                     4:4.7.2-3  Qt 4 GUI module
> ii  libsolid4                     4:4.4.5-4  Solid Library for KDE Platform
> ii  libsolidcontrol4              4:4.4.5-8  library for Solid based network ma
> ii  libstdc++6                    4.6.0-4    The GNU Standard C++ Library v3
> ii  libtaskmanager4a              4:4.4.5-8  library which provides task manage
> ii  libx11-6                      2:1.4.3-1  X11 client-side library
> ii  libxext6                      2:1.2.0-2  X11 miscellaneous extension librar
> ii  plasma-widgets-workspace      4:4.4.5-8  plasma widgets and containments fo
> 
> Versions of packages plasma-desktop recommends:
> ii  kdebase-workspace             4:4.4.5-8  KDE Plasma Workspace components
> 
> plasma-desktop suggests no packages.
> 
> -- no debconf information
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNrzOcAAoJELgqIXr9/gny41cP/RHhnPFrXxfo92YEZmKq72l9
g/0VHY+oJIKmd8sNG/MqVWWlLOeo7+ZbS7bGiQtpKv6RYpUQdqcoX+miwaWy246M
EZjQEHPxL4EcCdubsqINc0p4rpu3imaH2MME4FoiVhlvRz6F1VCyvst8dw20yu/q
c2qtJpQDhfZUVf+hsy4Inly0pmIjZ73AhI7g2K2tweQlxpzBxUTw8ViI3W4WPsa2
rUcP7aeqzBwAZiBlCtYtzTeyFLQbnxdV7LEEebUzrQpvPnmYdOr7tBIbuvDZcXl7
jgsq6f7q66IVGXUxALX3P1f3rFtE55K39tWrTyuzfRUyGK6QunbjhEFabmdtrZBc
IpVnVYQXnrfUNaykAgHcCzlZU7a3pfitdIKG2GKXR7dBU69AoUmbcdLDG7ECxH9A
08pvh2S9mSRsMxIa6snzaJog8800SxnMR9/c2LITahtQYWxF0c14cOsnU03QAF+2
QTG5UDJO7F3em+T2ZtaNm9BD/+AMMyjQ/wFz1Qnb2/hKAYSdOGLMTCbXKikjgfVW
ODJbSDAFj9sMuvyAxDGw6Qzw2ybkzp7Y+RSup7/6LMwJzBPVK3nq+OTGpwRC/B2R
iKfYgCbXmzjacMtPXI2MFd90JH0IW6vCdPM/fNk8nsNJEhFfntnPrP5w89dUpCFE
5IyJnexFypeOP22jlomW
=WjvA
-----END PGP SIGNATURE-----




Bug reassigned from package 'plasma-desktop' to 'dbus'. Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Wed, 20 Apr 2011 19:30:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions kdebase-workspace/4:4.4.5-8. Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Wed, 20 Apr 2011 19:30:05 GMT) Full text and rfc822 format available.

Severity set to 'critical' from 'grave' Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Wed, 20 Apr 2011 19:30:05 GMT) Full text and rfc822 format available.

Added indication that 623492 affects plasma-desktop Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Wed, 20 Apr 2011 19:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#623492; Package dbus. (Wed, 20 Apr 2011 19:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 20 Apr 2011 19:45:08 GMT) Full text and rfc822 format available.

Message #23 received at 623492@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 623492@bugs.debian.org, Rémy Sanchez <debian-bugs@hyperthese.net>
Subject: plasma-desktop segfaults, prevents all (?) other kde apps from loading
Date: Wed, 20 Apr 2011 21:42:15 +0200
[Message part 1 (text/plain, inline)]
Hi Rémy,

could you do a git bisect run on git://anongit.freedesktop.org/dbus/dbus to find
the faulty commit?

Thanks,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#623492; Package dbus. (Thu, 21 Apr 2011 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rémy Sanchez <debian-bugs@hyperthese.net>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 21 Apr 2011 10:21:07 GMT) Full text and rfc822 format available.

Message #28 received at 623492@bugs.debian.org (full text, mbox):

From: Rémy Sanchez <debian-bugs@hyperthese.net>
To: Michael Biebl <biebl@debian.org>, 623492@bugs.debian.org
Subject: Re: plasma-desktop segfaults, prevents all (?) other kde apps from loading
Date: Thu, 21 Apr 2011 12:19:13 +0200
[Message part 1 (text/plain, inline)]
On 04/20/2011 09:42 PM, Michael Biebl wrote:
> could you do a git bisect run on git://anongit.freedesktop.org/dbus/dbus to find
> the faulty commit?

Sure :

bb32afe831ca6e5913e7dd6035d1167c09c54e29 is the first bad commit
commit bb32afe831ca6e5913e7dd6035d1167c09c54e29
Author: Simon McVittie <simon.mcvittie__collabora.co.uk>
Date:   Thu Mar 3 16:29:17 2011 +0000

    dbus_message_iter_append_basic: validate booleans too

    Sending, for instance, ((dbus_bool_t) 666) is a programming error and
    should be diagnosed as such.

    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=16338
    Reviewed-by: Cosimo Alfarano <cosimo.alfarano@collabora.co.uk>

One funny thing however is that with hand-compiled dbus, it's kdeinit4
that crashes, and not plasma-desktop anymore. I've attached the stack
trace, and it seems pretty different (including the fact that this time,
there is a warning from dbus). Of course, after that everything from KDE
stops working.

I'm not quite sure however that I did use a correct method to compile
dbus. In short : make an archive of the commit to test, extract it over
the source package for 1.4.6, debuild the thing, install packages, and
then reboot. I guess that this skipped Debian-specific patches ?

--
Rémy
[kded4-20110421.kcrash (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#623492; Package dbus. (Thu, 21 Apr 2011 10:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 21 Apr 2011 10:21:16 GMT) Full text and rfc822 format available.

Message #33 received at 623492@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 623492@bugs.debian.org, Rémy Sanchez <debian-bugs@hyperthese.net>
Cc: David Prévot <david@tilapin.org>
Subject: Re: Bug#623492: plasma-desktop segfaults, prevents all (?) other kde apps from loading
Date: Thu, 21 Apr 2011 11:11:16 +0100
On Wed, 20 Apr 2011 at 21:42:15 +0200, Michael Biebl wrote:
> could you do a git bisect run on git://anongit.freedesktop.org/dbus/dbus to find
> the faulty commit?

Another thing you could do which is easier and probably very useful would be
to put this text in /etc/X11/Xsession.d/00debug-dbus and get a new backtrace
from the crash:

    DBUS_FATAL_WARNINGS=1
    export DBUS_FATAL_WARNINGS

With any luck, you'll get SIGABRT and a different backtrace.

If you can run plasma-desktop from a text console or something, any error
messages it produces would also be appreciated.

I'll try to reproduce this myself, but I don't normally run KDE and
virt-manager seems to hate me today, so setting up a virtual machine with KDE
is taking longer than I'd hoped :-(

    S




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#623492; Package dbus. (Thu, 21 Apr 2011 10:45:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 21 Apr 2011 10:45:13 GMT) Full text and rfc822 format available.

Message #38 received at 623492@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Rémy Sanchez <debian-bugs@hyperthese.net>, 623492@bugs.debian.org
Subject: Re: Bug#623492: plasma-desktop segfaults, prevents all (?) other kde apps from loading
Date: Thu, 21 Apr 2011 11:42:55 +0100
Thanks, this tells me what the bug is, but not where...

On Thu, 21 Apr 2011 at 12:19:13 +0200, Rémy Sanchez wrote:
>     dbus_message_iter_append_basic: validate booleans too
> 
>     Sending, for instance, ((dbus_bool_t) 666) is a programming error and
>     should be diagnosed as such.

This indicates a bug in whatever's using libdbus (looks like QtDBus, or
something higher up the stack), which wasn't previously detected by libdbus:
the caller is trying to send a boolean value that isn't either 0 or 1. We
fixed that (among other undiagnosed invalid messages) in 1.4.8.

If I'm reading the source code correctly, the invalid message would previously
have been rejected by dbus-daemon, causing dbus-daemon to disconnect kdeinit,
so I'm surprised nobody noticed this before...

> One funny thing however is that with hand-compiled dbus, it's kdeinit4
> that crashes, and not plasma-desktop anymore.

One of the Debian patches (that you didn't apply) makes warnings default to
non-fatal; in the Debian version, you have to use DBUS_FATAL_WARNINGS=1 to get
fatal warnings, as I mentioned in my earlier mail. So, you're getting the crash
much earlier.

If I remember correctly, kdeinit is a launcher sort of thing which links
against common KDE libraries to get the dynamic linking done early, then
forks and turns the child process into whatever KDE application you actually
wanted. Am I right? If so, can you tell whether the crash happened in the
parent or the child, and if in the child, whether it already morphed into the
application?

> #13 0x00007f9bfa3b6e2a in QDBusConnectionPrivate::send (this=0x14f62a0, message=...) at qdbusintegrator.cpp:1807
> #14 0x00007f9bfa3bd896 in QDBusConnectionPrivate::deliverCall (this=0x14f62a0, object=0x15d5160, msg=..., metaTypes=..., slotIdx=22) at qdbusintegrator.cpp:954

If you know how to drive gdb, it'd be great to find out what 0x15d5160 is and
which signal it's emitting.

Thanks,
    S




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#623492; Package dbus. (Thu, 21 Apr 2011 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 21 Apr 2011 14:33:03 GMT) Full text and rfc822 format available.

Message #43 received at 623492@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Rémy Sanchez <debian-bugs@hyperthese.net>, 623492@bugs.debian.org
Subject: Re: Bug#623492: plasma-desktop segfaults, prevents all (?) other kde apps from loading
Date: Thu, 21 Apr 2011 15:30:50 +0100
reassign 623492 kdebase-workspace-bin
thanks

KDE maintainers bcc'd, please see the bug for further context.

On Thu, 21 Apr 2011 at 11:42:55 +0100, Simon McVittie wrote:
> This indicates a bug in whatever's using libdbus (looks like QtDBus, or
> something higher up the stack), which wasn't previously detected by libdbus:
> the caller is trying to send a boolean value that isn't either 0 or 1. We
> fixed that (among other undiagnosed invalid messages) in 1.4.8.

I got plasma-desktop working in a VM, and have found one instance of this bug;
if I make libdbus warnings fatal and log in to a KDE session, I get one
abort. I'm on a train with no KDE debug symbols, but I think I may have
found what caused it:

smcv@klavier:~$ gdb /usr/bin/kded4 core 
...
#27 0xb3e84a1f in PowerDevilDaemon::stateChanged(int, bool) ()
   from /usr/lib/kde4/kded_powerdevil.so
...

I think this is a bug in PowerDevilDaemon.cpp; I've seen a similar bug in
another C++ project that uses D-Bus. In PowerDevilDaemon::Private we see:

    explicit Private()
            : notifier(Solid::Control::PowerManager::notifier())
            , currentConfig(0)
            , status(PowerDevilDaemon::NoAction)
            , ckSessionInterface(0) {}

This doesn't initialize all the members of Private. Most are harmless,
because "clever" types like QString have a default constructor which the
compiler will call. However, simple numeric types don't have a default
constructor, so this leaves batteryPercent, brightness, isPlugged and
ckAvailable uninitialized, and in particular, the two booleans can take
numeric values other than 0 or 1 (bool is at least 1 byte long, and
uninitialized memory can contain any bit pattern).

It seems PowerDevilDaemon doesn't have any particular guarantee whether
setACPlugged will be called before the first emission of stateChanged; if it
isn't, the first emission will have garbage in its boolean argument. I think
this is what's happened here.

Worse, the compiler is allowed to optimize operations on bool variables
by assuming they take value 0 or 1, so changing the stateChanged emission
to have argument !!d->isPlugged wouldn't work either - the compiler would
optimize away the double-negation. (I've seen this happen "in real life",
in the other project I mentioned.)

When I moved /usr/lib/kde4/kded_powerdevil.so into /root, logged in to a KDE
session and logged out again, I didn't see any more libdbus warnings in
.xsession-errors, and didn't get another coredump.

I believe the solution is to initialize all the members of Private
properly, but I don't have the bandwidth to download the source code at the
moment, so I haven't tried it.

Regards,
    S




Bug reassigned from package 'dbus' to 'kdebase-workspace-bin'. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Thu, 21 Apr 2011 14:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#623492; Package kdebase-workspace-bin. (Fri, 22 Apr 2011 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to BU66ER BAD6ER <debu66er@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 22 Apr 2011 07:21:03 GMT) Full text and rfc822 format available.

Message #50 received at 623492@bugs.debian.org (full text, mbox):

From: BU66ER BAD6ER <debu66er@gmail.com>
To: 623492@bugs.debian.org
Subject: verify
Date: Fri, 22 Apr 2011 09:17:38 +0200
I just wanted to verify that I have been hit by this bug too (after an
upgrade of a 64-bit Debian Sid), as has people at aptosid
http://www.aptosid.net/index.php?name=PNphpBB2&file=viewtopic&t=1159&postdays=0&postorder=asc&start=15

.




Forcibly Merged 623492 623676 623678. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 08:48:19 GMT) Full text and rfc822 format available.

Forcibly Merged 623492 623676 623678. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 11:00:20 GMT) Full text and rfc822 format available.

Forcibly Merged 623492 623676 623678 623699. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 11:03:03 GMT) Full text and rfc822 format available.

Forcibly Merged 623492 623517 623676 623678 623699. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 12:57:09 GMT) Full text and rfc822 format available.

Removed tag(s) experimental. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 13:33:22 GMT) Full text and rfc822 format available.

Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. (Fri, 22 Apr 2011 14:51:13 GMT) Full text and rfc822 format available.

Notification sent to Rémy Sanchez <debian-bugs@hyperthese.net>:
Bug acknowledged by developer. (Fri, 22 Apr 2011 14:51:13 GMT) Full text and rfc822 format available.

Message #65 received at 623492-close@bugs.debian.org (full text, mbox):

From: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
To: 623492-close@bugs.debian.org
Subject: Bug#623492: fixed in kdebase-workspace 4:4.4.5-9
Date: Fri, 22 Apr 2011 14:49:07 +0000
Source: kdebase-workspace
Source-Version: 4:4.4.5-9

We believe that the bug you reported is fixed in the latest version of
kdebase-workspace, which is due to be installed in the Debian FTP archive:

kde-window-manager_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/kde-window-manager_4.4.5-9_amd64.deb
kdebase-workspace-bin_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/kdebase-workspace-bin_4.4.5-9_amd64.deb
kdebase-workspace-data_4.4.5-9_all.deb
  to main/k/kdebase-workspace/kdebase-workspace-data_4.4.5-9_all.deb
kdebase-workspace-dbg_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/kdebase-workspace-dbg_4.4.5-9_amd64.deb
kdebase-workspace-dev_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/kdebase-workspace-dev_4.4.5-9_amd64.deb
kdebase-workspace-kgreet-plugins_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/kdebase-workspace-kgreet-plugins_4.4.5-9_amd64.deb
kdebase-workspace_4.4.5-9.debian.tar.gz
  to main/k/kdebase-workspace/kdebase-workspace_4.4.5-9.debian.tar.gz
kdebase-workspace_4.4.5-9.dsc
  to main/k/kdebase-workspace/kdebase-workspace_4.4.5-9.dsc
kdebase-workspace_4.4.5-9_all.deb
  to main/k/kdebase-workspace/kdebase-workspace_4.4.5-9_all.deb
kdm_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/kdm_4.4.5-9_amd64.deb
klipper_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/klipper_4.4.5-9_amd64.deb
ksysguard_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/ksysguard_4.4.5-9_amd64.deb
ksysguardd_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/ksysguardd_4.4.5-9_amd64.deb
libkdecorations4_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libkdecorations4_4.4.5-9_amd64.deb
libkephal4_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libkephal4_4.4.5-9_amd64.deb
libkscreensaver5_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libkscreensaver5_4.4.5-9_amd64.deb
libksgrd4_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libksgrd4_4.4.5-9_amd64.deb
libksignalplotter4_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libksignalplotter4_4.4.5-9_amd64.deb
libkwineffects1a_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libkwineffects1a_4.4.5-9_amd64.deb
libkworkspace4_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libkworkspace4_4.4.5-9_amd64.deb
liblsofui4_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/liblsofui4_4.4.5-9_amd64.deb
libplasma-geolocation-interface4_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libplasma-geolocation-interface4_4.4.5-9_amd64.deb
libplasmaclock4a_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libplasmaclock4a_4.4.5-9_amd64.deb
libplasmagenericshell4_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libplasmagenericshell4_4.4.5-9_amd64.deb
libprocesscore4a_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libprocesscore4a_4.4.5-9_amd64.deb
libprocessui4a_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libprocessui4a_4.4.5-9_amd64.deb
libsolidcontrol4_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libsolidcontrol4_4.4.5-9_amd64.deb
libsolidcontrolifaces4_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libsolidcontrolifaces4_4.4.5-9_amd64.deb
libtaskmanager4a_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libtaskmanager4a_4.4.5-9_amd64.deb
libweather-ion4a_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/libweather-ion4a_4.4.5-9_amd64.deb
plasma-dataengines-workspace_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/plasma-dataengines-workspace_4.4.5-9_amd64.deb
plasma-desktop_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/plasma-desktop_4.4.5-9_amd64.deb
plasma-netbook_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/plasma-netbook_4.4.5-9_amd64.deb
plasma-scriptengine-googlegadgets_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/plasma-scriptengine-googlegadgets_4.4.5-9_amd64.deb
plasma-scriptengine-python_4.4.5-9_all.deb
  to main/k/kdebase-workspace/plasma-scriptengine-python_4.4.5-9_all.deb
plasma-scriptengine-qedje_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/plasma-scriptengine-qedje_4.4.5-9_amd64.deb
plasma-scriptengine-ruby_4.4.5-9_all.deb
  to main/k/kdebase-workspace/plasma-scriptengine-ruby_4.4.5-9_all.deb
plasma-scriptengine-webkit_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/plasma-scriptengine-webkit_4.4.5-9_amd64.deb
plasma-scriptengines_4.4.5-9_all.deb
  to main/k/kdebase-workspace/plasma-scriptengines_4.4.5-9_all.deb
plasma-widgets-workspace_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/plasma-widgets-workspace_4.4.5-9_amd64.deb
systemsettings_4.4.5-9_amd64.deb
  to main/k/kdebase-workspace/systemsettings_4.4.5-9_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623492@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated kdebase-workspace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 22 Apr 2011 16:05:31 +0300
Source: kdebase-workspace
Binary: kdebase-workspace plasma-desktop plasma-netbook kdebase-workspace-bin kdebase-workspace-data kdebase-workspace-dev plasma-dataengines-workspace plasma-widgets-workspace plasma-scriptengines plasma-scriptengine-qedje plasma-scriptengine-ruby plasma-scriptengine-python plasma-scriptengine-webkit plasma-scriptengine-googlegadgets kdm klipper ksysguardd ksysguard kde-window-manager libkdecorations4 libkwineffects1a systemsettings kdebase-workspace-kgreet-plugins libkephal4 libkscreensaver5 libksgrd4 libksignalplotter4 libkworkspace4 liblsofui4 libplasmaclock4a libplasma-geolocation-interface4 libplasmagenericshell4 libprocesscore4a libprocessui4a libsolidcontrol4 libsolidcontrolifaces4 libtaskmanager4a libweather-ion4a kdebase-workspace-dbg
Architecture: source all amd64
Version: 4:4.4.5-9
Distribution: unstable
Urgency: high
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Description: 
 kde-window-manager - the K window manager (KWin)
 kdebase-workspace - KDE Plasma Workspace components
 kdebase-workspace-bin - core binaries for the KDE Plasma Workspace
 kdebase-workspace-data - shared data files for the KDE Plasma Workspace
 kdebase-workspace-dbg - debugging symbols for the KDE Plasma Workspaces
 kdebase-workspace-dev - development files for the KDE Plasma Workspace
 kdebase-workspace-kgreet-plugins - KDE greet libraries for authentication
 kdm        - KDE Display Manager for X11
 klipper    - clipboard manager
 ksysguard  - process monitor and system statistics
 ksysguardd - System Guard Daemon
 libkdecorations4 - library used by decorations for the KDE window manager
 libkephal4 - API for easier handling of multihead systems
 libkscreensaver5 - library of the KDE Screensaver system
 libksgrd4  - library for ksysguard
 libksignalplotter4 - the KSignalPlotter widget
 libkwineffects1a - library used by effects for the KDE window manager
 libkworkspace4 - library for the kdebase workspace
 liblsofui4 - library for ksysguard based priority scheduling
 libplasma-geolocation-interface4 - library for the Plasma geolocation
 libplasmaclock4a - library for Plasma clocks
 libplasmagenericshell4 - shared elements for all the plasma shells
 libprocesscore4a - library for ksysguard based process view
 libprocessui4a - library for ksysguard process user interface
 libsolidcontrol4 - library for Solid based network management
 libsolidcontrolifaces4 - library for Solid based network interface management
 libtaskmanager4a - library which provides task management facilities
 libweather-ion4a - library which provides an interface for weather information servi
 plasma-dataengines-workspace - KDE Plasma data engines
 plasma-desktop - The KDE Plasma workspace for desktop and laptop computers
 plasma-netbook - The KDE Plasma workspace for netbook computers
 plasma-scriptengine-googlegadgets - Google Gadgets script engine for Plasma
 plasma-scriptengine-python - Python script engine for Plasma
 plasma-scriptengine-qedje - QEdje script engine for Plasma
 plasma-scriptengine-ruby - Ruby script engine for Plasma
 plasma-scriptengine-webkit - Web and Mac OS X dashboard widget support for Plasma
 plasma-scriptengines - a metapackage to install all Plasma script engines
 plasma-widgets-workspace - plasma widgets and containments for the KDE Plasma Workspace
 systemsettings - System Settings
Closes: 618073 623492
Changes: 
 kdebase-workspace (4:4.4.5-9) unstable; urgency=high
 .
   [ José Manuel Santamaría Lema ]
   * Add ftbfs_remove_notify.diff to avoid FTBFS with Qt 4.7 (Closes: #618073)
   * Build depend on libqtwebkit-dev.
 .
   [ Modestas Vainius ]
   * Add initialize_variables_crashfix.diff patch which initializes some
     variables in order to avoid kded crash with dbus 1.4.8. (Closes: #623492)
   * Urgency=high because #623492 makes KDE desktop unusable.
Checksums-Sha1: 
 c03e13500cb45c2e3ede664cf4f985e752c35447 3500 kdebase-workspace_4.4.5-9.dsc
 0ef3f72ddcde67a11960b1c9847d501d390bc139 144488 kdebase-workspace_4.4.5-9.debian.tar.gz
 b2d0da9518c472d0259768d4fe6377bd200d92d8 32334 kdebase-workspace_4.4.5-9_all.deb
 a46f603391d0ca67d8150a1b141e0a2fb6a4f277 68155586 kdebase-workspace-data_4.4.5-9_all.deb
 fd9767b3d9dc28d159d82c1a8ccac96e6840c75e 30932 plasma-scriptengines_4.4.5-9_all.deb
 bff360b0c928f9d62d3e845ffb61e30499d14308 38784 plasma-scriptengine-ruby_4.4.5-9_all.deb
 1c83ba50331972815e0b7748d1629eb6c185af8f 45398 plasma-scriptengine-python_4.4.5-9_all.deb
 9be47d7f079cfe29e39af2714812986e1e18f473 655026 plasma-desktop_4.4.5-9_amd64.deb
 13b474081fa82cef5aeb889fb8853b65ec189597 326376 plasma-netbook_4.4.5-9_amd64.deb
 3c47683c58f3a215eb6fd19d1c554c3d1a2b631a 3429696 kdebase-workspace-bin_4.4.5-9_amd64.deb
 3dfe227753eb80895395055e71a3d5c94486f992 176552 kdebase-workspace-dev_4.4.5-9_amd64.deb
 c3aeb2e0649efef22ed24be8aa05880e1081d37c 678588 plasma-dataengines-workspace_4.4.5-9_amd64.deb
 80e23eb3677455f78a13c64e5c817aff63648c7b 669900 plasma-widgets-workspace_4.4.5-9_amd64.deb
 be60c607324d98312b14c2761686973a73cafb2d 50210 plasma-scriptengine-qedje_4.4.5-9_amd64.deb
 916faf0904aa7e2e2a326aaa9f473eea192177ea 115010 plasma-scriptengine-webkit_4.4.5-9_amd64.deb
 1e444690a9e5509357cc48449e902513eafbb5e0 76114 plasma-scriptengine-googlegadgets_4.4.5-9_amd64.deb
 4525e372b410aa3e6d3a6dc5a68542c1f0628a2a 3844700 kdm_4.4.5-9_amd64.deb
 8749ee764a95856d81aae6cb72bed935f5c9d0dc 141734 klipper_4.4.5-9_amd64.deb
 a5acc16d85daeeb7063517fa036b9acfca76ce82 89598 ksysguardd_4.4.5-9_amd64.deb
 b62dd122d951bb2c427243b1ee8d7c87aa66cbbf 269244 ksysguard_4.4.5-9_amd64.deb
 897de4d297a184c82d84de4986898a1d18750271 2477306 kde-window-manager_4.4.5-9_amd64.deb
 cdbb98850115edb9a584f16503e3ed450e98b3db 76096 libkdecorations4_4.4.5-9_amd64.deb
 db4c31e0cc19bc4aa81f4b3d0dbf74903ad90ccd 103262 libkwineffects1a_4.4.5-9_amd64.deb
 5104b12e7b5fe3963a837f4f4361be2fbfaa14be 387158 systemsettings_4.4.5-9_amd64.deb
 80d068b7d8fae94f01ff6be77696b2f51b097b72 71774 kdebase-workspace-kgreet-plugins_4.4.5-9_amd64.deb
 3c44fb1d0505d4b64f4ea3646278e427d39310a5 95986 libkephal4_4.4.5-9_amd64.deb
 f32ea3209e33e435c8ea9299f579b35c2cef4195 42948 libkscreensaver5_4.4.5-9_amd64.deb
 b06f02a479d6c2545d20a1cd4facb63dd92c8691 61526 libksgrd4_4.4.5-9_amd64.deb
 2d9f1d2b3793c1c7b82554b1e398d4359411f01e 54720 libksignalplotter4_4.4.5-9_amd64.deb
 4b1638d11575e3bb2b1b2a1a21bb65416f30879a 69326 libkworkspace4_4.4.5-9_amd64.deb
 92eec176016430803b414e6151a6e5e017fd15ed 40050 liblsofui4_4.4.5-9_amd64.deb
 08ecfb0c02bd53932b7227dc842a992ec345b790 93046 libplasmaclock4a_4.4.5-9_amd64.deb
 f88d60e519427d5a34dca60c2ba40824dd88aac6 38352 libplasma-geolocation-interface4_4.4.5-9_amd64.deb
 e43853b369df5402d88a744b7e8e7bf773c329e2 137426 libplasmagenericshell4_4.4.5-9_amd64.deb
 275376756b8f4775403d55e62a33c4a441fd5476 60636 libprocesscore4a_4.4.5-9_amd64.deb
 c753b840bfcc178002605e629d02b2b10435bb52 340924 libprocessui4a_4.4.5-9_amd64.deb
 3b6b5569d737b7fdf4317a092c81c63a7c2984ce 109236 libsolidcontrol4_4.4.5-9_amd64.deb
 fd77c6c4ca04e868bdf680895da7b18645fde41d 46734 libsolidcontrolifaces4_4.4.5-9_amd64.deb
 0d4ebb8d6f35a4c18d0f8cb595ca821f0c72858f 119326 libtaskmanager4a_4.4.5-9_amd64.deb
 728b9956b84c65da7d4ff8065a378d3be98ac350 40038 libweather-ion4a_4.4.5-9_amd64.deb
 9eb8e3f9c46e50ada0c02b43a0c842acb200117a 81991948 kdebase-workspace-dbg_4.4.5-9_amd64.deb
Checksums-Sha256: 
 51f8264c809353f14fefb62d30049014b99585436ae56fb1b89bc51c36d03e79 3500 kdebase-workspace_4.4.5-9.dsc
 d699ac738fac1013268cf4578de8e304d4a22b00e0ba76e85eb968b5510e6904 144488 kdebase-workspace_4.4.5-9.debian.tar.gz
 dd018d6051fa05641ddfcc2a3e40cb79027d9fe9edc23ed2f10970247dca5a86 32334 kdebase-workspace_4.4.5-9_all.deb
 0c6546937a5ee6f22dd0adc204a6d614ffeaa9eb8c40f9f1bd19a27ef746501e 68155586 kdebase-workspace-data_4.4.5-9_all.deb
 45ba2780d305e2604fd28a035c7fcee25e956e91d1b4b9a765819d6e12dd8b1e 30932 plasma-scriptengines_4.4.5-9_all.deb
 011e4296f5597046b13f1469e0a4bdbd2009ad5ed82d2d9e7bc0edc15f08224a 38784 plasma-scriptengine-ruby_4.4.5-9_all.deb
 4e777ec2346862d43113257f5ae917fb0b442356bc48de94a1f2faea052a845d 45398 plasma-scriptengine-python_4.4.5-9_all.deb
 b63f152b76f5e48f3a78f8a27f8fd03f4d32d4a111d12f547d1084c9ef5781cd 655026 plasma-desktop_4.4.5-9_amd64.deb
 9db4b487d3a3893929db6160f3c9468a2417007b3582e957a5bb7d2e0d744595 326376 plasma-netbook_4.4.5-9_amd64.deb
 b2fd8e7f1edd9a5711695c54f5e421d63bc29d9d8419c8dd32d10f369ce9e136 3429696 kdebase-workspace-bin_4.4.5-9_amd64.deb
 5b6fb1260b1e6fe5e53b09075660a1c1dcb41383261e1b09ea67c2dd72bc1716 176552 kdebase-workspace-dev_4.4.5-9_amd64.deb
 8f57f71f889d2936579f61781980849528f01731e151f4b143bf9292958c7dbe 678588 plasma-dataengines-workspace_4.4.5-9_amd64.deb
 af7a697f7c4f4a1b84d025c07dfe713fa602c7f37741177c6a0c5520298ef5a3 669900 plasma-widgets-workspace_4.4.5-9_amd64.deb
 097d911331f8380a62c5380a8de23144581358731d98d47786f8d72f258e6c8e 50210 plasma-scriptengine-qedje_4.4.5-9_amd64.deb
 2e67a91a3f1374a0b36cc52b5592efa9ec694946cc147e5762d43d0abeff29dc 115010 plasma-scriptengine-webkit_4.4.5-9_amd64.deb
 45abe3a82d0646f8bc3dade5b8c25ecd512f1f808114f79fc2a9c20f10129a8e 76114 plasma-scriptengine-googlegadgets_4.4.5-9_amd64.deb
 cba114b307666bb9e442938cd1d7c3f4af5bd9022d29d76bf660cff47ee5372a 3844700 kdm_4.4.5-9_amd64.deb
 46d3b7a479e8aaaf6c0cd4c30795d96ad7bf10cd5793c2a7dcf9b6dea24d5cff 141734 klipper_4.4.5-9_amd64.deb
 7df514a637a0f07a8ac8ede24341e70153f5e739554e508bd062e4918029b2ca 89598 ksysguardd_4.4.5-9_amd64.deb
 803e093a6fdfc03db51ea7a0ab8ed6d78ac02a9415dd26c6785836014b3a92b5 269244 ksysguard_4.4.5-9_amd64.deb
 8bf53c3e9ee92eaf40fec06a14aba5009742ca8dbfecf90a4394352dac9e5002 2477306 kde-window-manager_4.4.5-9_amd64.deb
 7f5f0cc77793bd4ad20b3ecc66fac385e9526609413967a3e6223cb86d6caaf3 76096 libkdecorations4_4.4.5-9_amd64.deb
 01b4b2ff89e12521f95f130c98d797395ba489621816b944fdf969f48c9b3c9d 103262 libkwineffects1a_4.4.5-9_amd64.deb
 858921be3d32daef8dc7bff310288ec8477f4b1b296ec3c1a5098b94453df89d 387158 systemsettings_4.4.5-9_amd64.deb
 b00d16970171cc2870789f1f2f9e08c0ad3e7a54520e20915cacbdebb5caffca 71774 kdebase-workspace-kgreet-plugins_4.4.5-9_amd64.deb
 55edc72b3c9d898bec1ccdd250f893e78dfdbc610e5dae3eb1b5cbaa56add781 95986 libkephal4_4.4.5-9_amd64.deb
 f3b00a63deeae4c3830341b6422dec29e744151e6531d211882e8ae316d1de48 42948 libkscreensaver5_4.4.5-9_amd64.deb
 542e417a10ed4ddeefac3edae7439e6dab77571bfc3517ea412dd5ee5d0a9b08 61526 libksgrd4_4.4.5-9_amd64.deb
 578579c2ad4b1139f9aa01e4f346e7051090cd23087b60520cee3bab830b90cf 54720 libksignalplotter4_4.4.5-9_amd64.deb
 28645b2533392c1fd28c6d50df74c62f1ff5b0884e6c42df6aa76bfc6a6ef702 69326 libkworkspace4_4.4.5-9_amd64.deb
 e6e26e63cfc29eb598f44220d013d2c9539869a79a49824378f14746fde8b58c 40050 liblsofui4_4.4.5-9_amd64.deb
 62876fbffeb93093993796e7cf6e20bb8b5c41a01740bcbbd5d96093689c438a 93046 libplasmaclock4a_4.4.5-9_amd64.deb
 a9029682b5da319b8ad721b1f2ba9c1f8af0c373f647f2d31b74e08fd43b6e45 38352 libplasma-geolocation-interface4_4.4.5-9_amd64.deb
 80f66fced8bb9c30acec6da6882051869e91697bdc9cddb8723d0822a1bf8f76 137426 libplasmagenericshell4_4.4.5-9_amd64.deb
 a5f0c5af1e8f336deb621052a51fbc39533cf1d0d3acfd0332d6e71c432af216 60636 libprocesscore4a_4.4.5-9_amd64.deb
 db155866ee5944cb041dba1ba47920cbd610c1d37b8de9066a4a4e0417d39bbd 340924 libprocessui4a_4.4.5-9_amd64.deb
 842db47e819c7a52a2b259b55aef5f5204540ddc7e2f460bb15ba6dc5d25c80a 109236 libsolidcontrol4_4.4.5-9_amd64.deb
 012f357fbd45629cf0cea614e687686ee192bf234a12986c724a491cc88d5faa 46734 libsolidcontrolifaces4_4.4.5-9_amd64.deb
 8e818840e3902174e1580238153ce8d8a41045d310f09e4484efbcc938852c77 119326 libtaskmanager4a_4.4.5-9_amd64.deb
 b3c4f948e4c1277f6a26eda36b050dd5c8e2dc5c61d086c0e1b3efdbdef4579c 40038 libweather-ion4a_4.4.5-9_amd64.deb
 7069f1b26f0455619140d77469af9afdf78b94552eca12366bb1e24838fae977 81991948 kdebase-workspace-dbg_4.4.5-9_amd64.deb
Files: 
 3c27e08eee0a51c8b2f79db4b3dbbfd3 3500 kde optional kdebase-workspace_4.4.5-9.dsc
 16acd8be311baf7604d66a680085943a 144488 kde optional kdebase-workspace_4.4.5-9.debian.tar.gz
 fb5d8e9f33d63b0f1623621af4209fa2 32334 kde optional kdebase-workspace_4.4.5-9_all.deb
 f474b12e52c93d9813f7f2670d91d76d 68155586 kde optional kdebase-workspace-data_4.4.5-9_all.deb
 d37f896a0f3c03ce8308f7f8f6c96894 30932 kde optional plasma-scriptengines_4.4.5-9_all.deb
 f08d84a5d72eaed4301de394904a3160 38784 kde optional plasma-scriptengine-ruby_4.4.5-9_all.deb
 ee719b5e2e85fffabb11338fbdb4ce80 45398 kde optional plasma-scriptengine-python_4.4.5-9_all.deb
 c4628bcdb132cb2a4b5d60febe685320 655026 kde optional plasma-desktop_4.4.5-9_amd64.deb
 6e9fbf66d58101b98dfc4936ca6327e9 326376 kde optional plasma-netbook_4.4.5-9_amd64.deb
 936692edb41dd6c0201b5ad8c4e5c4fe 3429696 kde optional kdebase-workspace-bin_4.4.5-9_amd64.deb
 3aa0567a1a166f6814963bd75211cf91 176552 kde optional kdebase-workspace-dev_4.4.5-9_amd64.deb
 9c48bb05b0f2fc0adf37f1eb46a2fd9b 678588 kde optional plasma-dataengines-workspace_4.4.5-9_amd64.deb
 febe491b482116b10e9743249e649583 669900 kde optional plasma-widgets-workspace_4.4.5-9_amd64.deb
 b965a5a822f359a75a21f684ab73d08b 50210 kde optional plasma-scriptengine-qedje_4.4.5-9_amd64.deb
 b85e9c64825b85d507937377e7286b6b 115010 kde optional plasma-scriptengine-webkit_4.4.5-9_amd64.deb
 0ad1bae610c75b28df5518e399b2ffc3 76114 kde extra plasma-scriptengine-googlegadgets_4.4.5-9_amd64.deb
 0e425e79db8d3a712f1bc36887fe7e65 3844700 x11 optional kdm_4.4.5-9_amd64.deb
 ba275b0faad9b553af9e50e73176d309 141734 x11 optional klipper_4.4.5-9_amd64.deb
 8a6b742f47064535512ff86c85263999 89598 utils optional ksysguardd_4.4.5-9_amd64.deb
 5febd327554cebc748f73df18540df71 269244 utils optional ksysguard_4.4.5-9_amd64.deb
 82b78d44a744cfb1cac07ef86f263c95 2477306 x11 optional kde-window-manager_4.4.5-9_amd64.deb
 105507e4b75416ba0cc4a565b7ca0c31 76096 libs optional libkdecorations4_4.4.5-9_amd64.deb
 d4ce135691d54350a8e73cd2166e3d28 103262 libs optional libkwineffects1a_4.4.5-9_amd64.deb
 0497608ebdd4a73f505d6803969306de 387158 kde optional systemsettings_4.4.5-9_amd64.deb
 7375f4be0ff91665388c0ea7c16a97d9 71774 libs optional kdebase-workspace-kgreet-plugins_4.4.5-9_amd64.deb
 e1baca58f8f0cfbc6e12953103cdc782 95986 libs optional libkephal4_4.4.5-9_amd64.deb
 d8e299b037567a3b169e3d37bb56e47a 42948 libs optional libkscreensaver5_4.4.5-9_amd64.deb
 6b621be5f3efd22034a1edc073664665 61526 libs optional libksgrd4_4.4.5-9_amd64.deb
 0803f11fd2a2bbf446e2d90e4e74f139 54720 libs optional libksignalplotter4_4.4.5-9_amd64.deb
 1ead7689ab4fb91b93a2103107bad7c7 69326 libs optional libkworkspace4_4.4.5-9_amd64.deb
 945e68c070781f9818f351b4cd8961e0 40050 libs optional liblsofui4_4.4.5-9_amd64.deb
 08a3af738e6ece6f1014a17634d1b9c4 93046 libs optional libplasmaclock4a_4.4.5-9_amd64.deb
 6b7ce69a8e9b5839494014d31537abff 38352 libs optional libplasma-geolocation-interface4_4.4.5-9_amd64.deb
 f638d5ab7d2348b7545f35820fb63fa8 137426 libs optional libplasmagenericshell4_4.4.5-9_amd64.deb
 84b88099b51ce8b05db2c8434d5ba2cf 60636 libs optional libprocesscore4a_4.4.5-9_amd64.deb
 90785893d9d20783086b2f12b8bea457 340924 libs optional libprocessui4a_4.4.5-9_amd64.deb
 817c57aeb985dc62e225137830426c0a 109236 libs optional libsolidcontrol4_4.4.5-9_amd64.deb
 d03757dc4cd7c0a06d8934cfaac7a8c1 46734 libs optional libsolidcontrolifaces4_4.4.5-9_amd64.deb
 8133d704b0c0c063e2ed4d1446023db4 119326 libs optional libtaskmanager4a_4.4.5-9_amd64.deb
 ebeee24be340f8bab98fb04bb6188864 40038 libs optional libweather-ion4a_4.4.5-9_amd64.deb
 2dd0ac36c7b96f6d0520b6ebb1b78138 81991948 debug extra kdebase-workspace-dbg_4.4.5-9_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2xgRkACgkQHO9JRnPq4hTx6ACfReaM0oZlB9r+NQafRGY/9luP
7qIAn2uVlW9XXLZTFYBgaQS+Fr3X70+A
=e0S9
-----END PGP SIGNATURE-----





Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. (Fri, 22 Apr 2011 14:51:13 GMT) Full text and rfc822 format available.

Notification sent to Yasir Assam <yassam@gmail.com>:
Bug acknowledged by developer. (Fri, 22 Apr 2011 14:51:14 GMT) Full text and rfc822 format available.

Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. (Fri, 22 Apr 2011 14:51:14 GMT) Full text and rfc822 format available.

Notification sent to Stefano <stefano.marelli@gmail.com>:
Bug acknowledged by developer. (Fri, 22 Apr 2011 14:51:14 GMT) Full text and rfc822 format available.

Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. (Fri, 22 Apr 2011 14:51:15 GMT) Full text and rfc822 format available.

Notification sent to Stefano <stefano.marelli@gmail.com>:
Bug acknowledged by developer. (Fri, 22 Apr 2011 14:51:15 GMT) Full text and rfc822 format available.

Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. (Fri, 22 Apr 2011 14:51:16 GMT) Full text and rfc822 format available.

Notification sent to sms <amicale.salmson@free.fr>:
Bug acknowledged by developer. (Fri, 22 Apr 2011 14:51:16 GMT) Full text and rfc822 format available.

Bug reassigned from package 'kdebase-workspace-bin' to 'debase-workspace-bin,kde-window-manager'. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 16:09:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions kdebase-workspace/4:4.4.5-8. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 16:09:06 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions kdebase-workspace/4:4.4.5-9. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 16:09:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'debase-workspace-bin,kde-window-manager' to 'kdebase-workspace-bin,kde-window-manager'. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 16:27:15 GMT) Full text and rfc822 format available.

Forcibly Merged 623492 623517 623676 623678 623699 623739. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 16:27:19 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions kdebase-workspace/4:4.4.5-9. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Sat, 23 Apr 2011 13:24:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions kdebase-workspace/4:4.4.5-8. Request was from Modestas Vainius <modax@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 10:27:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 May 2011 07:33:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:33:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.